%define hsc_name ghc
%define hsc_version %ghc_version
%define hsc_namever %hsc_name
%define h_pkg_name regex-posix
%define f_pkg_name regex-posix
%define pkg_libdir %_libdir/%hsc_name-%hsc_version/lib/%h_pkg_name-%version

Name: %hsc_namever-%f_pkg_name
Version: 0.94.4
Release: alt1.1
License: BSD
Packager: Alex V. Myltsev <avm@altlinux.ru>
Group: Development/Haskell
URL: http://sourceforge.net/projects/lazy-regex
Source: %f_pkg_name-%version.tar.gz
Summary: Replaces/Enhances Text.Regex
BuildRequires: ghc %hs_package_dependencies regex-base
BuildRequires(pre): rpm-build-haskell


%description
The posix regex backend for regex-base


%prep
%setup -n %h_pkg_name-%version


%build
%hs_configure2
%hs_build

%install
%hs_install
%hs_gen_filelist

cd %buildroot%_datadir/doc/%hsc_namever-%f_pkg_name-%version
rm -rf doc LICENSE

%files -f %name-files.nonprof
%hs_pkgconfdir/%f_pkg_name-%version.conf
%doc dist/doc/html
%doc LICENSE




%changelog
* Tue Dec 07 2010 Denis Smirnov <mithraen@altlinux.ru> 0.94.4-alt1.1
- rebuild with ghc 7.0/var/lib/altlinux/sisyphus/files/SRPMS/ghc-ansi-terminal-0.5.3-alt1.src.rpm

* Wed Sep 15 2010 Denis Smirnov <mithraen@altlinux.ru> 0.94.4-alt1
- 0.94.4

* Mon Sep 13 2010 Denis Smirnov <mithraen@altlinux.ru> 0.72.0.3-alt6
- auto rebuild

* Mon Sep 13 2010 Denis Smirnov <mithraen@altlinux.ru> 0.72.0.3-alt5
- auto rebuild

* Thu Sep 09 2010 Denis Smirnov <mithraen@altlinux.ru> 0.72.0.3-alt2
- ghc 6.12.3

* Thu Sep 09 2010 Denis Smirnov <mithraen@altlinux.ru> 0.72.0.3-alt1.1.1
- rebuild with new haskell

* Wed Mar 17 2010 Denis Smirnov <mithraen@altlinux.ru> 0.72.0.3-alt1.1
- rebuild with new haskell

* Fri Nov 14 2008 Alexander Myltsev <avm@altlinux.ru> 0.72.0.3-alt1
- New version.

* Sun Jan 13 2008 Alex V. Myltsev <avm@altlinux.ru> 0.72.0.2-alt3
- use package.conf.d.

* Sat Jan 12 2008 Alex V. Myltsev <avm@altlinux.ru> 0.72.0.2-alt2
- rebuild due to a bug in rpm-build-haskell

* Wed Jan 09 2008 Alex V. Myltsev <avm@altlinux.ru> 0.72.0.2-alt1
- spec file autogenerated by cabal-rpm
